Yuriko.Net 個別記事

2007-11-29
くもり

Ktai Style を PHP4 対応するかもしれない

ゆりこ による 14:39:49 の投稿
カテゴリー: WordPressハック
タグ: ,

拙作の携帯対応プラグイン「Ktai Style」ですが、PHP4 対応するかもしれません。当初、PHP4 は今年でサポート終了なので、PHP5 への移行を促すべく PHP4 対応はあえて切りました。しかし、SourceForge.JP のサーバーはいまだ PHP 4 なのです (PHP 4.4.4-8+etch4 というバージョン。Debian かな)。SourceForge で公開している某ソフトのウェブサイトは、WordPress を使っていますが、Ktai Style による携帯電話対応をしたくても現状ではできないわけです。

実のところ、Ktai Style では、PHP5 に依存した部分は比較的少ないので、PHP 4 & 5 共用にするのはさほど難しくはありません。でも、依存している部分を外すのは結構面倒だったりします……。SourceForge.JP のサーバーが PHP5 になることを期待して、そのままにしたいな〜〜。

トラックバック・コメント »

コメントはありません。

上に戻る

※スパム対策プラグインの影響により、すぐにトラックバックが反映されない場合があります。お手数ですが、半日ほど待ってみてください。

コメント投稿

※発言の責任を明確にするため「名無し」「通りすがり」「匿名希望」等の匿名は不可とします。捨てハンドルでもいいので必ず名乗ってください。
XHTML (使えるタグ): <a href="" title="" ktai=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> <img localsrc="" alt=""> .
※スパム対策プラグインの影響により、すぐにコメント内容が表示されない場合があります。お手数ですが、半日ほど待ってみてください。

上に戻る